package com.chinaweal.aiccs.aiccs.market.service;

import com.chinaweal.aiccs.aiccs.market.entity.AreaDsm;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.chinaweal.aiccs.aiccs.market.entity.AreaSlice;
import com.chinaweal.aiccs.aiccs.market.vo.AreaDsmVo;
import com.chinaweal.youfool.framework.springboot.base.query.BaseQuery;
import com.chinaweal.youfool.framework.springboot.mybatis.plus.BaseService;
import com.chinaweal.youfool.framework.springboot.rest.RestResult;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author chinaweal
 * @since 2021-11-26
 */
public interface IAreaDsmService extends BaseService<AreaDsm> {

    List<AreaDsm> getInfoBySparentCode(String sparentCode, String sareaLevel);

    AreaDsm getInfoBySliceId(String sliceId);

    AreaDsmVo getAllBySareaCode(String sareaCode);

    RestResult deleteAreaDsm(String sareaCode);

    RestResult saveAreaDsm(HttpServletRequest request, AreaDsmVo areaDsmVo);

    RestResult saveAreaSlice(HttpServletRequest request, AreaSlice areaSlice);

    RestResult anyscAreaSlice();


    /**
     * 获取所有已存在主体数据的旧片区数据
     * @return  获取结果
     * @author lroyia
     * @since  2021年12月8日 14:28:35
     */
    List<String> listAllExistsAreaDsmCode();
}
